import com.formdev.flatlaf.FlatLightLaf;
import controller.AppController;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

public class Main {
    public static void main(String[] args) {
        System.setProperty("awt.useSystemAAFontSettings", "on");
        System.setProperty("swing.aatext", "true");

        try {
            UIManager.setLookAndFeel(new FlatLightLaf());
        } catch (UnsupportedLookAndFeelException e) {
            System.err.println("无法设置UI主题: " + e.getMessage());
        }

        SwingUtilities.invokeLater(AppController::new);
    }
}